sc::R12IntsAcc_MemoryGrp(3)

NAME
sc::R12IntsAcc_MemoryGrp -

SYNOPSIS

Inherits sc::R12IntsAcc.

  Classes
struct PairBlkInfo

  Public Member Functions
R12IntsAcc_MemoryGrp (Ref< MemoryGrp > &, int num_te_types, int ni, int nj, int nx, int ny)
R12IntsAcc_MemoryGrp (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void store_memorygrp (Ref< MemoryGrp > &mem, int ni, const size_t blksize)
Stores all pair block of integrals held in mem mem must be the same as mem_ used to construct this This is a collective operation.
void store_pair_block (int i, int j, double *ints)
Stores an ij pair block of integrals (assumes the block resides locally).
void deactivate ()
Done reading content - call set_localsize(0) on the associated MemoryGrp This is a collective operation.
double * retrieve_pair_block (int i, int j, tbint_type oper_type)
Retrieves an ij pair block of integrals.
void release_pair_block (int i, int j, tbint_type oper_type)
Releases an ij pair block of integrals (if needed).
bool is_local (int i, int j) const
Is this block stored locally?
bool is_avail (int i, int j) const
In this implementation all blocks are globally available.
bool has_access (int proc) const
Does this task have access to all the integrals?
bool can_restart () const
Cannot restart MemoryGrp-based accumulator.
int ij_index (int i, int j) const
int ij_proc (int i, int j) const

Member Function Documentation

  void sc::R12IntsAcc_MemoryGrp::deactivate () [virtual]

Done reading content - call set_localsize(0) on the associated MemoryGrp This is a collective operation. This accumulator cannot be activated again.

Reimplemented from sc::R12IntsAcc.

  void sc::R12IntsAcc_MemoryGrp::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::R12IntsAcc.

  void sc::R12IntsAcc_MemoryGrp::store_memorygrp (Ref< MemoryGrp > & mem, int ni, const size_t blksize) [virtual]

Stores all pair block of integrals held in mem mem must be the same as mem_ used to construct this This is a collective operation. See documentation for R12IntsAcc::store_memorygrp() for more info.

Implements sc::R12IntsAcc.

Author

Generated automatically by Doxygen for MPQC from the source code.